#include <math.h>
#include <stdlib.h>
#include "SceneGraphRoot.h"
#include "Application.h"
#include "MainLoop.h"
typedef struct {
	const char *hostname;
	int port;
} linda_t;

class NetworkGame : public Application {
public:
	static int last_player_id;
	
	static Viewer *sgroot;
	static linda_t linda_addr;
	static int linda;
	static int serial_id;
	static int start_x;
	static int width;
	static char *xml_file_name;
	static void linda_connect();
	static void update_screen_scope();
	static void send_position(SceneGraphPtr node);
	static void set_position(SceneGraphPtr node, unsigned char *reply);
	static void update_last_player_id();
	void create_my_sg(Viewer *sgroot, SceneGraphPtr parent, int screen_w, int screen_h);
    MainLoopPtr init(Viewer *viewer, int screen_w, int screen_h);
};
